co.aikar.commands

## Interface CommandConfig

All Superinterfaces:
  CommandConfigProvider

All Known Implementing Classes:
  JDACommandConfig

    public interface CommandConfig
    extends CommandConfigProvider

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`@NotNull List<String>` `getCommandPrefixes()`
`default CommandConfig` `provide(net.dv8tion.jda.core.events.message.MessageReceivedEvent event)`

### Method Detail

#### getCommandPrefixes

    @NotNull
    @NotNull List<String> getCommandPrefixes()

#### provide

    default CommandConfig provide(net.dv8tion.jda.core.events.message.MessageReceivedEvent event)

Specified by:
  `provide` in interface `CommandConfigProvider`